Page MenuHomePhabricator

subproject popup closes immediatly after display preventing rereader from selecting a subproject
Closed, ResolvedPublic

Description

Hi all
As a workaround to problem https://phabricator.wikimedia.org/T183892
and to make rereading progressing for MediaWiki/fr, I decide to select a sub project.

On https://translatewiki.net/ I select last rectangle "Afficher tous les projets" to display all projects.

Popup appears.
I select MediaWiki / 5 sub projects and new Popup appears with the sub projects BUT closes immediatly preventing me from selecting one sub project and redirects display to the root defaut project (here 'MediaWiki' )

This is true when you want to select any subproject for any project having subprojects
and you have better chances to hit one subproject if the project holds many ones ex: MediaWiki extensions /789 sub projects (.... a question of agility).

Same behaviour observed on Firefox/IE and Win platform Win7/Vista.

Proposal: wait user selection of the sub project before closing the second popup

Event Timeline

Wladek92 created this task.Jan 4 2018, 8:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2018, 8:22 AM

I am not sure this is a bug:

  1. In Special:Translate you can select subgroups
  2. Assuming you would want to select the main group, there is no way to do that if we don't navigate immediately
  3. The flashing of the subgroups could be removed to avoid the false impression that you are supposed to select them there

immediatly ?? but now you have no time to read the list of subprojects !

That's why I propose we do not show the list of subprojects on that page at all.

Change 594451 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/TwnMainPage@master] MainPage: Do not display subgroups after selecting projects

https://gerrit.wikimedia.org/r/594451

abi_ triaged this task as Low priority.May 5 2020, 10:46 AM

Change 594451 merged by jenkins-bot:
[mediawiki/extensions/TwnMainPage@master] MainPage: Do not display subgroups after selecting projects

https://gerrit.wikimedia.org/r/594451

abi_ closed this task as Resolved.May 6 2020, 3:14 PM

This is done. We're no longer displaying sub groups in the project selector on the homepage.